/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2006 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "new_class_id.h"
#include "new_object_list.h"

/**
 * @brief a Default Constructor.
 * this Always points to the ID of the NullClass.
 */
ClassID::ClassID()
{
  NullClass::acquireID(this->_id, this->_name);
};

/**
 * @brief Acquiring the ID of a objectList.
 * @param objList The ObjectList to acquire the ID from.
 */
ClassID::ClassID(const ObjectListBase* const objList)
{
  objList->acquireID(this->_id, this->_name);
}


ClassID NullClass::_classID;

int NullClass::_nullID;
const std::string NullClass::_nullName = std::string("NullClass");
